/*
 * moses3/learning/moses/moses/local_moses.h
 *
 * Copyright (C) 2002-2008 Novamente LLC
 * All Rights Reserved
 *
 * Written by Moshe Looks
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef _MOSES_LOCAL_MOSES_H
#define _MOSES_LOCAL_MOSES_H

#include "metapopulation.h"
#include "moses_params.h"

namespace moses3 {
namespace moses {

using namespace combo;

// A version of moses that runs only on the local host
// i.e. its not network-distributed.
void local_moses(metapopulation& mp,
                 const moses_parameters& pa,
                 moses_statistics& stats);

} // ~namespace moses
} // ~namespace moses3

#endif
