%define name poulin-moses
%define version 1.r436
%define release 1

Summary: Poulin-MOSES automated program learning system

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Engineering
License: Proprietary

Source: %{name}-%{version}.tar.bz2
# Still need to specify BuildRoot, as otherwise RPM_BUILD_ROOT is not set, below.
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://opencog.org/wiki/MOSES

Requires: moses

BuildRequires: make 

%description
Poulin-MOSES provides a utility wrapper for MOSES, the Meta-Optimizing
Semantic Evolutionary Search system, a supervised machine learning
system.  It integrates feature selection with learning; it will
discretize continuous-valued data for faster learning.

%prep
%setup

%build
%__make binary

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%__make DESTDIR=$RPM_BUILD_ROOT install


%files
%defattr(644,root,root,755)
%doc README.txt 
%doc ChangeLog
%doc example-bank
%doc example-data
%attr(755,root,root)%{_bindir}/*
%{_libdir}/%{name}-%{version}/*
%attr(755,root,root)%{_libdir}/%{name}-%{version}/poses
%{_mandir}/man1/*


%clean
%__rm -rf $RPM_BUILD_ROOT

%post

%postun


%changelog
* Tue Dec 4 2012 Linas Vepstas <linavepstas@gmail.com>
- Add Changelog to dist
* Fri Jun 15 2012 Linas Vepstas <linavepstas@gmail.com>
- Initial version

