#
# setup.py -- the cx_freeze distutils setup
# Used to create a binary distribution of POSES
#
# Copyright (c) 2012 Poulin Holdings LLC
#
import sys
from cx_Freeze import setup, Executable

# Use 4 whitespaces for indentation, no tab.

pm_target = Executable(
    script = "src/poses.py",
    targetName = "poses")

pm_includes = []
pm_excludes = []
pm_packages = []
pm_path = ["/usr/lib/python2.7", "/usr/lib/python2.7/lib-dynload",
           "/usr/local/lib/python2.7", "/usr/local/lib/python2.7/lib-dynload",
           "./src"]

setup(
    name = "poses",
    version = "1.rxxx",    # This should be over-ridden by --install-exe
    description = "Poulin-Moses Machine Learning System",
    options = {"build_exe": {"includes": pm_includes,
                             "excludes": pm_excludes,
                             "packages": pm_packages,
                             "path": pm_path
                            },
           # Use a command-line opt --prefix, instead.
           #    "install_exe": {'install_dir': "/tmp/glob"
           #                 }
              },
    executables = [pm_target])
