/*
 * moses3/comboreduct/combo/action_symbol.h
 *
 * Copyright (C) 2002-2008 Novamente LLC
 * All Rights Reserved
 *
 * Written by Nil Geisweiller
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef _COMBO_ACTION_SYMBOL_H
#define _COMBO_ACTION_SYMBOL_H

#include "operator_base.h"
#include "../type_checker/type_tree_def.h"

namespace moses3 { namespace combo {

//action_symbol_base inherit operator_base
//without additional properties
class action_symbol_base : public operator_base {
public:
    virtual ~action_symbol_base() {}
};

typedef const action_symbol_base* action_symbol;
  
std::ostream& operator<<(std::ostream&, combo::action_symbol);

} // ~namespace combo
} // ~namespace moses3

#endif
