/** moses-exec.h ---
 *
 * Copyright (C) 2010 OpenCog Foundation
 *
 * Author: Nil Geisweiller <ngeiswei@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _OPENCOG_MOSES_EXEC_H
#define _OPENCOG_MOSES_EXEC_H

#include <string>
#include <vector>

namespace moses3 { namespace moses {

using namespace std;

/// used by the main function, it is included in the library for its
/// convenience
int moses_exec(int argc, char** argv);

/// helper for the function above, note that the first still represents
/// the name of the supposed executable
int moses_exec(const vector<string>& argv);


} // ~namespace moses
} // ~namespace moses3

#endif // _OPENCOG_MOSES_EXEC_H
